ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE/configure
(Generate patch)

Comparing trunk/OOPSE/configure (file contents):
Revision 840 by gezelter, Wed Oct 29 14:29:12 2003 UTC vs.
Revision 878 by gezelter, Fri Dec 12 15:42:13 2003 UTC

# Line 311 | Line 311 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
311   # include <unistd.h>
312   #endif"
313  
314 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR mpi_dir MPI_LIBDIR MPI_INC MPI_LIB MPIF77 MPIF90 MPILIBS CPP EGREP SPRNG_LIBDIR SPRNG_LIB SPRNG_INC HAVE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL MPI_F90_MODS MPIMODLIBNAME BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LIBOBJS LTLIBOBJS'
314 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR mpi_dir MPI_LIBDIR MPI_INC MPI_LIB MPIF77 MPIF90 MPILIBS MPI_F90_MODS MPIMODLIBNAME EGREP CPP SPRNG_LIBDIR SPRNG_LIB SPRNG_INC HAVE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LIBOBJS LTLIBOBJS'
315   ac_subst_files=''
316  
317   # Initialize some variables set by options.
# Line 877 | Line 877 | Optional Packages:
877    --with-mpi_dir=MPIDIR   give the path for MPI /usr/local
878    --with-mpi-libdir=dir  give the path for MPI-libraries MPI_DIR/lib
879    --with-mpi_inc=dir  give the path for MPI-include-files MPI_DIR/include
880 +  --with-mpi_f90_mods=<dir>
881 +                          Location where MPI f90 modules are installed
882    --with-sprng_prefix=PREFIX
883                            Prefix where SPRNG is installed
884    --with-sprng-libdir=PREFIX  SPRNG library directory
885    --with-sprng-include=PREFIX
886                            SPRNG include directory
887    --with-mkl              Do we want MKL will check /usr/local/intel/mkl60 /opt/intel/mkl60
886  --with-mpi_f90_mods=<dir>
887                          Location where MPI f90 modules are installed
888  
889   Some influential environment variables:
890    CC          C compiler command
# Line 3109 | Line 3109 | if test "$ac_test_PREPFLAG" != "set"; then
3109    esac
3110  
3111    if test -z "$PREPFLAG"; then
3112 <        echo ""
3113 <        echo "**********************************************************"
3114 <        echo "* WARNING: Don't know the best PREPFLAG for this system  *"
3115 <        echo "* Use  make PREPFLAG=..., or edit the top level Makefile *"
3116 <        echo "* (otherwise, an empty PREPFLAG will be used)            *"
3117 <        echo "**********************************************************"
3118 <        echo ""
3112 >        { echo "$as_me:$LINENO: WARNING: \"Using empty PREPFLAG\"" >&5
3113 > echo "$as_me: WARNING: \"Using empty PREPFLAG\"" >&2;}
3114          PREPFLAG=""
3115    fi
3116  
# Line 3216 | Line 3211 | if test "$ac_test_PREPDEFFLAG" != "set"; then
3211    esac
3212  
3213    if test -z "$PREPDEFFLAG"; then
3214 <        echo ""
3215 <        echo "*************************************************************"
3221 <        echo "* WARNING: Don't know the best PREPDEFFLAG for this system  *"
3222 <        echo "* Use  make PREPDEFFLAG=..., or edit the top level Makefile *"
3223 <        echo "* (otherwise, an empty PREPDEFFLAG will be used)            *"
3224 <        echo "*************************************************************"
3225 <        echo ""
3214 >        { echo "$as_me:$LINENO: WARNING: \"Using empty PREPDEFFLAG\"" >&5
3215 > echo "$as_me: WARNING: \"Using empty PREPDEFFLAG\"" >&2;}
3216          PREPDEFFLAG=" "
3217    fi
3218  
# Line 3364 | Line 3354 | F90FLAGS="$F90FLAGS $ac_verb"
3354   ac_save_F90FLAGS=$F90FLAGS
3355   F90FLAGS="$F90FLAGS $ac_verb"
3356  
3357 < (eval echo $as_me:3367: \"$ac_link\") >&5
3357 > (eval echo $as_me:3357: \"$ac_link\") >&5
3358   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3359   echo "$ac_f90_v_output" >&5
3360   F90FLAGS=$ac_save_F90FLAGS
# Line 3441 | Line 3431 | F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3431   ac_save_F90FLAGS=$F90FLAGS
3432   F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3433  
3434 < (eval echo $as_me:3444: \"$ac_link\") >&5
3434 > (eval echo $as_me:3434: \"$ac_link\") >&5
3435   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3436   echo "$ac_f90_v_output" >&5
3437   F90FLAGS=$ac_save_F90FLAGS
# Line 5824 | Line 5814 | fi
5814   _ACEOF
5815  
5816          :
5817 + fi
5818 +
5819 +
5820 +
5821 +
5822 +
5823 + # Check whether --with-mpi_f90_mods or --without-mpi_f90_mods was given.
5824 + if test "${with_mpi_f90_mods+set}" = set; then
5825 +  withval="$with_mpi_f90_mods"
5826 +  mpi_f90_mods="$withval"
5827 + else
5828 +  mpi_f90_mods="/usr/local/include/f90choice"
5829 + fi;
5830 +
5831 +  echo "$as_me:$LINENO: checking for MPI F90 modules" >&5
5832 + echo $ECHO_N "checking for MPI F90 modules... $ECHO_C" >&6
5833 +
5834 +
5835 +  ac_ext=f90
5836 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
5837 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5838 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
5839 +
5840 +  ac_save_F90FLAGS=$F90FLAGS
5841 +
5842 +  if test "$mpi_f90_mods"; then
5843 +  F90FLAGS="${F90FLAGS} ${MODDIRFLAG}${mpi_f90_mods}"
5844 + fi
5845 +
5846 +    cat >conftest.$ac_ext <<_ACEOF
5847 +
5848 +
5849 + program main
5850 +
5851 + use mpi
5852 + integer :: ierr
5853 + call MPI_Init(ierr)
5854 +
5855 +
5856 + end program main
5857 +
5858 + _ACEOF
5859 + rm -f conftest.$ac_objext
5860 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5861 +  (eval $ac_compile) 2>&5
5862 +  ac_status=$?
5863 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5864 +  (exit $ac_status); } &&
5865 +         { ac_try='test -s conftest.$ac_objext'
5866 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5867 +  (eval $ac_try) 2>&5
5868 +  ac_status=$?
5869 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5870 +  (exit $ac_status); }; }; then
5871 +  HAVE_MPI_MOD=1
5872 + else
5873 +  echo "$as_me: failed program was:" >&5
5874 + sed 's/^/| /' conftest.$ac_ext >&5
5875 +
5876 + HAVE_MPI_MOD=0
5877 + fi
5878 + rm -f conftest.$ac_objext conftest.$ac_ext
5879 +
5880 +  F90FLAGS=$ac_save_F90FLAGS
5881 +  ac_ext=f90
5882 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
5883 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5884 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
5885 +
5886 +
5887 +  if test "$HAVE_MPI_MOD" = 1; then
5888 +    echo "$as_me:$LINENO: result: yes" >&5
5889 + echo "${ECHO_T}yes" >&6
5890 +
5891 + cat >>confdefs.h <<\_ACEOF
5892 + #define MPI_MOD 1
5893 + _ACEOF
5894 +
5895 +    MPI_F90_MODS="${mpi_f90_mods}"
5896 +
5897 +    # The library name:
5898 +    if test -z "$MPI_LIB" ; then
5899 +       MPI_LIBNAME=-lmpich
5900 +    else
5901 +       MPI_LIBNAME="$MPI_LIB"
5902 +    fi
5903 +    if test -z "$MPIMODLIBNAME" ; then
5904 +       MPIMODLIBNAME="${MPI_LIBNAME}f90"
5905 +    fi
5906 +
5907 +  else
5908 +    echo "$as_me:$LINENO: result: no" >&5
5909 + echo "${ECHO_T}no" >&6
5910 +    { echo "$as_me:$LINENO: WARNING: Couldn't locate MPI F90 Modules" >&5
5911 + echo "$as_me: WARNING: Couldn't locate MPI F90 Modules" >&2;}
5912 +  fi
5913 +
5914 +
5915 +
5916 + if test "$HAVE_MPI_MOD" = 1; then
5917 +
5918 + cat >>confdefs.h <<\_ACEOF
5919 + #define MPI_MOD 1
5920 + _ACEOF
5921 +
5922 + else
5923 +        ac_ext=f90
5924 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
5925 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5926 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
5927 +
5928 +        echo "$as_me:$LINENO: checking for egrep" >&5
5929 + echo $ECHO_N "checking for egrep... $ECHO_C" >&6
5930 + if test "${ac_cv_prog_egrep+set}" = set; then
5931 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5932 + else
5933 +  if echo a | (grep -E '(a|b)') >/dev/null 2>&1
5934 +    then ac_cv_prog_egrep='grep -E'
5935 +    else ac_cv_prog_egrep='egrep'
5936 +    fi
5937   fi
5938 + echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
5939 + echo "${ECHO_T}$ac_cv_prog_egrep" >&6
5940 + EGREP=$ac_cv_prog_egrep
5941  
5942  
5943 + echo "$as_me:$LINENO: checking for ANSI C header files" >&5
5944 + echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
5945 + if test "${ac_cv_header_stdc+set}" = set; then
5946 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5947 + else
5948 +  cat >conftest.$ac_ext <<_ACEOF
5949 +
5950 + program main
5951 + #include <stdlib.h>
5952 + #include <stdarg.h>
5953 + #include <string.h>
5954 + #include <float.h>
5955 +
5956 +
5957 + end program main
5958 +
5959 + _ACEOF
5960 + rm -f conftest.$ac_objext
5961 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5962 +  (eval $ac_compile) 2>&5
5963 +  ac_status=$?
5964 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5965 +  (exit $ac_status); } &&
5966 +         { ac_try='test -s conftest.$ac_objext'
5967 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5968 +  (eval $ac_try) 2>&5
5969 +  ac_status=$?
5970 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5971 +  (exit $ac_status); }; }; then
5972 +  ac_cv_header_stdc=yes
5973 + else
5974 +  echo "$as_me: failed program was:" >&5
5975 + sed 's/^/| /' conftest.$ac_ext >&5
5976 +
5977 + ac_cv_header_stdc=no
5978 + fi
5979 + rm -f conftest.$ac_objext conftest.$ac_ext
5980 +
5981 + if test $ac_cv_header_stdc = yes; then
5982 +  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
5983 +  cat >conftest.$ac_ext <<_ACEOF
5984 + #include <string.h>
5985 +
5986 + _ACEOF
5987 + if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
5988 +  $EGREP "memchr" >/dev/null 2>&1; then
5989 +  :
5990 + else
5991 +  ac_cv_header_stdc=no
5992 + fi
5993 + rm -f conftest*
5994 +
5995 + fi
5996 +
5997 + if test $ac_cv_header_stdc = yes; then
5998 +  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
5999 +  cat >conftest.$ac_ext <<_ACEOF
6000 + #include <stdlib.h>
6001 +
6002 + _ACEOF
6003 + if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
6004 +  $EGREP "free" >/dev/null 2>&1; then
6005 +  :
6006 + else
6007 +  ac_cv_header_stdc=no
6008 + fi
6009 + rm -f conftest*
6010 +
6011 + fi
6012 +
6013 + if test $ac_cv_header_stdc = yes; then
6014 +  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
6015 +  if test "$cross_compiling" = yes; then
6016 +  :
6017 + else
6018 +  cat >conftest.$ac_ext <<_ACEOF
6019 + #include <ctype.h>
6020 + #if ((' ' & 0x0FF) == 0x020)
6021 + # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
6022 + # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
6023 + #else
6024 + # define ISLOWER(c) \
6025 +                   (('a' <= (c) && (c) <= 'i') \
6026 +                     || ('j' <= (c) && (c) <= 'r') \
6027 +                     || ('s' <= (c) && (c) <= 'z'))
6028 + # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
6029 + #endif
6030 +
6031 + #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
6032 + int
6033 + main ()
6034 + {
6035 +  int i;
6036 +  for (i = 0; i < 256; i++)
6037 +    if (XOR (islower (i), ISLOWER (i))
6038 +        || toupper (i) != TOUPPER (i))
6039 +      exit(2);
6040 +  exit (0);
6041 + }
6042 + _ACEOF
6043 + rm -f conftest$ac_exeext
6044 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6045 +  (eval $ac_link) 2>&5
6046 +  ac_status=$?
6047 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6048 +  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
6049 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6050 +  (eval $ac_try) 2>&5
6051 +  ac_status=$?
6052 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6053 +  (exit $ac_status); }; }; then
6054 +  :
6055 + else
6056 +  echo "$as_me: program exited with status $ac_status" >&5
6057 + echo "$as_me: failed program was:" >&5
6058 + sed 's/^/| /' conftest.$ac_ext >&5
6059 +
6060 + ( exit $ac_status )
6061 + ac_cv_header_stdc=no
6062 + fi
6063 + rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
6064 + fi
6065 + fi
6066 + fi
6067 + echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
6068 + echo "${ECHO_T}$ac_cv_header_stdc" >&6
6069 + if test $ac_cv_header_stdc = yes; then
6070 +
6071 + cat >>confdefs.h <<\_ACEOF
6072 + #define STDC_HEADERS 1
6073 + _ACEOF
6074 +
6075 + fi
6076 +
6077 + # On IRIX 5.3, sys/types and inttypes.h are conflicting.
6078 +
6079 +
6080 +
6081 +
6082 +
6083 +
6084 +
6085 +
6086 +
6087 + for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
6088 +                  inttypes.h stdint.h unistd.h
6089 + do
6090 + as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
6091 + echo "$as_me:$LINENO: checking for $ac_header" >&5
6092 + echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
6093 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
6094 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6095 + else
6096 +  cat >conftest.$ac_ext <<_ACEOF
6097 + $ac_includes_default
6098 +
6099 + #include <$ac_header>
6100 + _ACEOF
6101 + rm -f conftest.$ac_objext
6102 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6103 +  (eval $ac_compile) 2>&5
6104 +  ac_status=$?
6105 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6106 +  (exit $ac_status); } &&
6107 +         { ac_try='test -s conftest.$ac_objext'
6108 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6109 +  (eval $ac_try) 2>&5
6110 +  ac_status=$?
6111 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6112 +  (exit $ac_status); }; }; then
6113 +  eval "$as_ac_Header=yes"
6114 + else
6115 +  echo "$as_me: failed program was:" >&5
6116 + sed 's/^/| /' conftest.$ac_ext >&5
6117 +
6118 + eval "$as_ac_Header=no"
6119 + fi
6120 + rm -f conftest.$ac_objext conftest.$ac_ext
6121 + fi
6122 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
6123 + echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
6124 + if test `eval echo '${'$as_ac_Header'}'` = yes; then
6125 +  cat >>confdefs.h <<_ACEOF
6126 + #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
6127 + _ACEOF
6128 +
6129 + fi
6130 +
6131 + done
6132 +
6133 +
6134 +
6135 + for ac_header in mpif.h
6136 + do
6137 + as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
6138 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
6139 +  echo "$as_me:$LINENO: checking for $ac_header" >&5
6140 + echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
6141 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
6142 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6143 + fi
6144 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
6145 + echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
6146 + else
6147 +  # Is the header compilable?
6148 + echo "$as_me:$LINENO: checking $ac_header usability" >&5
6149 + echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
6150 + cat >conftest.$ac_ext <<_ACEOF
6151 + $ac_includes_default
6152 + #include <$ac_header>
6153 + _ACEOF
6154 + rm -f conftest.$ac_objext
6155 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6156 +  (eval $ac_compile) 2>&5
6157 +  ac_status=$?
6158 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6159 +  (exit $ac_status); } &&
6160 +         { ac_try='test -s conftest.$ac_objext'
6161 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6162 +  (eval $ac_try) 2>&5
6163 +  ac_status=$?
6164 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6165 +  (exit $ac_status); }; }; then
6166 +  ac_header_compiler=yes
6167 + else
6168 +  echo "$as_me: failed program was:" >&5
6169 + sed 's/^/| /' conftest.$ac_ext >&5
6170 +
6171 + ac_header_compiler=no
6172 + fi
6173 + rm -f conftest.$ac_objext conftest.$ac_ext
6174 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6175 + echo "${ECHO_T}$ac_header_compiler" >&6
6176 +
6177 + # Is the header present?
6178 + echo "$as_me:$LINENO: checking $ac_header presence" >&5
6179 + echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
6180 + cat >conftest.$ac_ext <<_ACEOF
6181 + #include <$ac_header>
6182 + _ACEOF
6183 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6184 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6185 +  ac_status=$?
6186 +  grep -v '^ *+' conftest.er1 >conftest.err
6187 +  rm -f conftest.er1
6188 +  cat conftest.err >&5
6189 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6190 +  (exit $ac_status); } >/dev/null; then
6191 +  if test -s conftest.err; then
6192 +    ac_cpp_err=$ac_f90_preproc_warn_flag
6193 +  else
6194 +    ac_cpp_err=
6195 +  fi
6196 + else
6197 +  ac_cpp_err=yes
6198 + fi
6199 + if test -z "$ac_cpp_err"; then
6200 +  ac_header_preproc=yes
6201 + else
6202 +  echo "$as_me: failed program was:" >&5
6203 + sed 's/^/| /' conftest.$ac_ext >&5
6204 +
6205 +  ac_header_preproc=no
6206 + fi
6207 + rm -f conftest.err conftest.$ac_ext
6208 + echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6209 + echo "${ECHO_T}$ac_header_preproc" >&6
6210 +
6211 + # So?  What about this header?
6212 + case $ac_header_compiler:$ac_header_preproc in
6213 +  yes:no )
6214 +    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
6215 + echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
6216 +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
6217 + echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
6218 +    (
6219 +      cat <<\_ASBOX
6220 + ## ------------------------------------ ##
6221 + ## Report this to bug-autoconf@gnu.org. ##
6222 + ## ------------------------------------ ##
6223 + _ASBOX
6224 +    ) |
6225 +      sed "s/^/$as_me: WARNING:     /" >&2
6226 +    ;;
6227 +  no:yes )
6228 +    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
6229 + echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
6230 +    { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
6231 + echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
6232 +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
6233 + echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
6234 +    (
6235 +      cat <<\_ASBOX
6236 + ## ------------------------------------ ##
6237 + ## Report this to bug-autoconf@gnu.org. ##
6238 + ## ------------------------------------ ##
6239 + _ASBOX
6240 +    ) |
6241 +      sed "s/^/$as_me: WARNING:     /" >&2
6242 +    ;;
6243 + esac
6244 + echo "$as_me:$LINENO: checking for $ac_header" >&5
6245 + echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
6246 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
6247 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6248 + else
6249 +  eval "$as_ac_Header=$ac_header_preproc"
6250 + fi
6251 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
6252 + echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
6253 +
6254 + fi
6255 + if test `eval echo '${'$as_ac_Header'}'` = yes; then
6256 +  cat >>confdefs.h <<_ACEOF
6257 + #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
6258 + _ACEOF
6259 +
6260 + fi
6261 +
6262 + done
6263 +
6264 +        ac_ext=c
6265 + ac_cpp='$CPP $CPPFLAGS'
6266 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6267 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6268 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
6269 +
6270 +
6271 + cat >>confdefs.h <<\_ACEOF
6272 + #define MPI_H 1
6273 + _ACEOF
6274 +
6275 + fi
6276 +
6277   ac_ext=c
6278   ac_cpp='$CPP $CPPFLAGS'
6279   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
# Line 6060 | Line 6507 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
6507   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6508   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6509   ac_compiler_gnu=$ac_cv_c_compiler_gnu
6063
6064
6065 echo "$as_me:$LINENO: checking for egrep" >&5
6066 echo $ECHO_N "checking for egrep... $ECHO_C" >&6
6067 if test "${ac_cv_prog_egrep+set}" = set; then
6068  echo $ECHO_N "(cached) $ECHO_C" >&6
6069 else
6070  if echo a | (grep -E '(a|b)') >/dev/null 2>&1
6071    then ac_cv_prog_egrep='grep -E'
6072    else ac_cv_prog_egrep='egrep'
6073    fi
6074 fi
6075 echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
6076 echo "${ECHO_T}$ac_cv_prog_egrep" >&6
6077 EGREP=$ac_cv_prog_egrep
6078
6079
6080 echo "$as_me:$LINENO: checking for ANSI C header files" >&5
6081 echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
6082 if test "${ac_cv_header_stdc+set}" = set; then
6083  echo $ECHO_N "(cached) $ECHO_C" >&6
6084 else
6085  cat >conftest.$ac_ext <<_ACEOF
6086 #line $LINENO "configure"
6087 /* confdefs.h.  */
6088 _ACEOF
6089 cat confdefs.h >>conftest.$ac_ext
6090 cat >>conftest.$ac_ext <<_ACEOF
6091 /* end confdefs.h.  */
6092 #include <stdlib.h>
6093 #include <stdarg.h>
6094 #include <string.h>
6095 #include <float.h>
6096
6097 int
6098 main ()
6099 {
6100
6101  ;
6102  return 0;
6103 }
6104 _ACEOF
6105 rm -f conftest.$ac_objext
6106 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6107  (eval $ac_compile) 2>&5
6108  ac_status=$?
6109  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6110  (exit $ac_status); } &&
6111         { ac_try='test -s conftest.$ac_objext'
6112  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6113  (eval $ac_try) 2>&5
6114  ac_status=$?
6115  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6116  (exit $ac_status); }; }; then
6117  ac_cv_header_stdc=yes
6118 else
6119  echo "$as_me: failed program was:" >&5
6120 sed 's/^/| /' conftest.$ac_ext >&5
6510  
6122 ac_cv_header_stdc=no
6123 fi
6124 rm -f conftest.$ac_objext conftest.$ac_ext
6511  
6126 if test $ac_cv_header_stdc = yes; then
6127  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
6128  cat >conftest.$ac_ext <<_ACEOF
6129 #line $LINENO "configure"
6130 /* confdefs.h.  */
6131 _ACEOF
6132 cat confdefs.h >>conftest.$ac_ext
6133 cat >>conftest.$ac_ext <<_ACEOF
6134 /* end confdefs.h.  */
6135 #include <string.h>
6512  
6137 _ACEOF
6138 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
6139  $EGREP "memchr" >/dev/null 2>&1; then
6140  :
6141 else
6142  ac_cv_header_stdc=no
6143 fi
6144 rm -f conftest*
6513  
6146 fi
6514  
6148 if test $ac_cv_header_stdc = yes; then
6149  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
6150  cat >conftest.$ac_ext <<_ACEOF
6151 #line $LINENO "configure"
6152 /* confdefs.h.  */
6153 _ACEOF
6154 cat confdefs.h >>conftest.$ac_ext
6155 cat >>conftest.$ac_ext <<_ACEOF
6156 /* end confdefs.h.  */
6157 #include <stdlib.h>
6158
6159 _ACEOF
6160 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
6161  $EGREP "free" >/dev/null 2>&1; then
6162  :
6163 else
6164  ac_cv_header_stdc=no
6165 fi
6166 rm -f conftest*
6167
6168 fi
6169
6170 if test $ac_cv_header_stdc = yes; then
6171  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
6172  if test "$cross_compiling" = yes; then
6173  :
6174 else
6175  cat >conftest.$ac_ext <<_ACEOF
6176 #line $LINENO "configure"
6177 /* confdefs.h.  */
6178 _ACEOF
6179 cat confdefs.h >>conftest.$ac_ext
6180 cat >>conftest.$ac_ext <<_ACEOF
6181 /* end confdefs.h.  */
6182 #include <ctype.h>
6183 #if ((' ' & 0x0FF) == 0x020)
6184 # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
6185 # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
6186 #else
6187 # define ISLOWER(c) \
6188                   (('a' <= (c) && (c) <= 'i') \
6189                     || ('j' <= (c) && (c) <= 'r') \
6190                     || ('s' <= (c) && (c) <= 'z'))
6191 # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
6192 #endif
6193
6194 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
6195 int
6196 main ()
6197 {
6198  int i;
6199  for (i = 0; i < 256; i++)
6200    if (XOR (islower (i), ISLOWER (i))
6201        || toupper (i) != TOUPPER (i))
6202      exit(2);
6203  exit (0);
6204 }
6205 _ACEOF
6206 rm -f conftest$ac_exeext
6207 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6208  (eval $ac_link) 2>&5
6209  ac_status=$?
6210  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6211  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
6212  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6213  (eval $ac_try) 2>&5
6214  ac_status=$?
6215  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6216  (exit $ac_status); }; }; then
6217  :
6218 else
6219  echo "$as_me: program exited with status $ac_status" >&5
6220 echo "$as_me: failed program was:" >&5
6221 sed 's/^/| /' conftest.$ac_ext >&5
6222
6223 ( exit $ac_status )
6224 ac_cv_header_stdc=no
6225 fi
6226 rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
6227 fi
6228 fi
6229 fi
6230 echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
6231 echo "${ECHO_T}$ac_cv_header_stdc" >&6
6232 if test $ac_cv_header_stdc = yes; then
6233
6234 cat >>confdefs.h <<\_ACEOF
6235 #define STDC_HEADERS 1
6236 _ACEOF
6237
6238 fi
6239
6240 # On IRIX 5.3, sys/types and inttypes.h are conflicting.
6241
6242
6243
6244
6245
6246
6247
6248
6249
6250 for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
6251                  inttypes.h stdint.h unistd.h
6252 do
6253 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
6254 echo "$as_me:$LINENO: checking for $ac_header" >&5
6255 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
6256 if eval "test \"\${$as_ac_Header+set}\" = set"; then
6257  echo $ECHO_N "(cached) $ECHO_C" >&6
6258 else
6259  cat >conftest.$ac_ext <<_ACEOF
6260 #line $LINENO "configure"
6261 /* confdefs.h.  */
6262 _ACEOF
6263 cat confdefs.h >>conftest.$ac_ext
6264 cat >>conftest.$ac_ext <<_ACEOF
6265 /* end confdefs.h.  */
6266 $ac_includes_default
6267
6268 #include <$ac_header>
6269 _ACEOF
6270 rm -f conftest.$ac_objext
6271 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6272  (eval $ac_compile) 2>&5
6273  ac_status=$?
6274  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6275  (exit $ac_status); } &&
6276         { ac_try='test -s conftest.$ac_objext'
6277  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6278  (eval $ac_try) 2>&5
6279  ac_status=$?
6280  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6281  (exit $ac_status); }; }; then
6282  eval "$as_ac_Header=yes"
6283 else
6284  echo "$as_me: failed program was:" >&5
6285 sed 's/^/| /' conftest.$ac_ext >&5
6286
6287 eval "$as_ac_Header=no"
6288 fi
6289 rm -f conftest.$ac_objext conftest.$ac_ext
6290 fi
6291 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
6292 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
6293 if test `eval echo '${'$as_ac_Header'}'` = yes; then
6294  cat >>confdefs.h <<_ACEOF
6295 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
6296 _ACEOF
6297
6298 fi
6299
6300 done
6301
6302
6303
6304
6305
6515   # Check whether --with-sprng_prefix or --without-sprng_prefix was given.
6516   if test "${with_sprng_prefix+set}" = set; then
6517    withval="$with_sprng_prefix"
# Line 6573 | Line 6782 | fi
6782  
6783    CPPFLAGS=$ac_save_CPPFLAGS
6784    LDFLAGS=$ac_save_LDFLAGS
6785 <  ac_ext=f90
6786 < ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
6787 < ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6788 < ac_compiler_gnu=$ac_cv_f90_compiler_gnu
6785 >  ac_ext=c
6786 > ac_cpp='$CPP $CPPFLAGS'
6787 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6788 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6789 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
6790  
6791  
6792    if test x_$HAVE_SPRNG != x_yes; then
# Line 6823 | Line 7033 | fi
7033  
7034    CPPFLAGS=$ac_save_CPPFLAGS
7035    LDFLAGS=$ac_save_LDFLAGS
7036 <  ac_ext=f90
7037 < ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
7038 < ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7039 < ac_compiler_gnu=$ac_cv_f90_compiler_gnu
7036 >  ac_ext=c
7037 > ac_cpp='$CPP $CPPFLAGS'
7038 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7039 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7040 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
7041  
7042  
7043    if test x_$HAVE_MKL != x_yes; then
# Line 6845 | Line 7056 | fi;
7056   echo "${ECHO_T}no" >&6
7057  
7058   fi;
6848
6849
6850
6851
6852
6853 # Check whether --with-mpi_f90_mods or --without-mpi_f90_mods was given.
6854 if test "${with_mpi_f90_mods+set}" = set; then
6855  withval="$with_mpi_f90_mods"
6856  mpi_f90_mods="$withval"
6857 else
6858  mpi_f90_mods="/usr/local/include/f90choice"
6859 fi;
6860
6861  echo "$as_me:$LINENO: checking for MPI F90 modules" >&5
6862 echo $ECHO_N "checking for MPI F90 modules... $ECHO_C" >&6
6863
6864
6865  ac_ext=f90
6866 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
6867 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6868 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
6869
6870  ac_save_F90FLAGS=$F90FLAGS
6871
6872  if test "$mpi_f90_mods"; then
6873  F90FLAGS="${F90FLAGS} ${MODDIRFLAG}${mpi_f90_mods}"
6874 fi
6875
6876    cat >conftest.$ac_ext <<_ACEOF
6877
6878
6879 program main
6880
6881 use mpi
6882 integer :: ierr
6883 call MPI_Init(ierr)
6884
6885
6886 end program main
6887
6888 _ACEOF
6889 rm -f conftest.$ac_objext
6890 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6891  (eval $ac_compile) 2>&5
6892  ac_status=$?
6893  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6894  (exit $ac_status); } &&
6895         { ac_try='test -s conftest.$ac_objext'
6896  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6897  (eval $ac_try) 2>&5
6898  ac_status=$?
6899  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6900  (exit $ac_status); }; }; then
6901  HAVE_MPI_MOD=1
6902 else
6903  echo "$as_me: failed program was:" >&5
6904 sed 's/^/| /' conftest.$ac_ext >&5
7059  
6906 HAVE_MPI_MOD=0
6907 fi
6908 rm -f conftest.$ac_objext conftest.$ac_ext
7060  
6910  F90FLAGS=$ac_save_F90FLAGS
6911  ac_ext=f90
6912 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
6913 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6914 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
7061  
7062  
6917  if test "$HAVE_MPI_MOD" = 1; then
6918    echo "$as_me:$LINENO: result: yes" >&5
6919 echo "${ECHO_T}yes" >&6
7063  
6921 cat >>confdefs.h <<\_ACEOF
6922 #define MPI_MOD 1
6923 _ACEOF
6924
6925    MPI_F90_MODS="${mpi_f90_mods}"
6926
6927    # The library name:
6928    if test -z "$MPI_LIB" ; then
6929       MPI_LIBNAME=-lmpich
6930    else
6931       MPI_LIBNAME="$MPI_LIB"
6932    fi
6933    if test -z "$MPIMODLIBNAME" ; then
6934       MPIMODLIBNAME="${MPI_LIBNAME}f90"
6935    fi
6936
6937  else
6938    echo "$as_me:$LINENO: result: no" >&5
6939 echo "${ECHO_T}no" >&6
6940    { { echo "$as_me:$LINENO: error: Couldn't locate MPI F90 Modules" >&5
6941 echo "$as_me: error: Couldn't locate MPI F90 Modules" >&2;}
6942   { (exit 1); exit 1; }; }
6943  fi
6944
6945
6946
6947
6948
7064   OBJEXT=".$OBJEXT"
7065  
7066   OOPSE=oopse
# Line 7686 | Line 7801 | s,@CPP@,$CPP,;t t
7801   s,@MPIF77@,$MPIF77,;t t
7802   s,@MPIF90@,$MPIF90,;t t
7803   s,@MPILIBS@,$MPILIBS,;t t
7804 < s,@CPP@,$CPP,;t t
7804 > s,@MPI_F90_MODS@,$MPI_F90_MODS,;t t
7805 > s,@MPIMODLIBNAME@,$MPIMODLIBNAME,;t t
7806   s,@EGREP@,$EGREP,;t t
7807 + s,@CPP@,$CPP,;t t
7808   s,@SPRNG_LIBDIR@,$SPRNG_LIBDIR,;t t
7809   s,@SPRNG_LIB@,$SPRNG_LIB,;t t
7810   s,@SPRNG_INC@,$SPRNG_INC,;t t
# Line 7696 | Line 7813 | s,@MPI_F90_MODS@,$MPI_F90_MODS,;t t
7813   s,@MKL_LIB@,$MKL_LIB,;t t
7814   s,@MKL_INC@,$MKL_INC,;t t
7815   s,@HAVE_MKL@,$HAVE_MKL,;t t
7699 s,@MPI_F90_MODS@,$MPI_F90_MODS,;t t
7700 s,@MPIMODLIBNAME@,$MPIMODLIBNAME,;t t
7816   s,@BATEXT@,$BATEXT,;t t
7817   s,@MKINSTALLDIRS@,$MKINSTALLDIRS,;t t
7818   s,@OOPSE@,$OOPSE,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines